## org.apache.batik.bridge
Class BaseScriptingEnvironment

    java.lang.Object
      org.apache.batik.bridge.BaseScriptingEnvironment

Direct Known Subclasses:
  ScriptingEnvironment

public class BaseScriptingEnvironment
extends java.lang.Object

This class is the base class for SVG scripting.

Nested Class Summary
`protected class` `BaseScriptingEnvironment.Window` Represents the window object of this environment.

Field Summary
`protected static java.lang.String` `ALTERNATE_EVENT_NAME`
`protected BridgeContext` `bridgeContext` The bridge context.
`protected ParsedURL` `docPURL` The URL of the document ot manage
`protected org.w3c.dom.Document` `document` The document to manage.
`protected static java.lang.String` `EVENT_NAME`
`static java.lang.String` `EVENT_SCRIPT_DESCRIPTION` Constant used to describe inline scripts {0} - URL of document containing script.
`static java.lang.String` `INLINE_SCRIPT_DESCRIPTION` Constant used to describe inline scripts {0} - URL of document containing script.
`protected Interpreter` `interpreter` The default Interpreter for the document
`protected java.util.Set` `languages`
`protected UserAgent` `userAgent` The user-agent.

Constructor Summary
`BaseScriptingEnvironment(BridgeContext ctx)` Creates a new BaseScriptingEnvironment.

Method Summary
`protected void` `checkCompatibleScriptURL(java.lang.String scriptType, ParsedURL scriptPURL)` Checks that the script URLs and the document url are compatible.
`Window` `createWindow()` Creates a new Window object.
`Window` `createWindow(Interpreter interp, java.lang.String lang)` Creates a new Window object.
`protected void` `dispatchSVGDocEvent(java.lang.String eventType)`
`protected void` `dispatchSVGLoad(org.w3c.dom.Element elt, boolean checkCanRun, java.lang.String lang)` Auxiliary method for dispatchSVGLoad.
`void` `dispatchSVGLoadEvent()` Recursively dispatch the SVG 'onload' event.
`protected void` `dispatchSVGResizeEvent()` Method to dispatch SVG Resize event.
`protected void` `dispatchSVGScrollEvent()` Method to dispatch SVG Scroll event.
`protected void` `dispatchSVGZoomEvent()` Method to dispatch SVG Zoom event.
`Interpreter` `getInterpreter()` Returns the default Interpreter for this document.
`Interpreter` `getInterpreter(java.lang.String lang)`
`protected void` `handleInterpreterException(InterpreterException ie)` Handles the given exception.
`protected void` `handleSecurityException(java.lang.SecurityException se)` Handles the given exception.
`void` `initializeEnvironment(Interpreter interp, java.lang.String lang)` Initializes the environment of the given interpreter.
`static boolean` `isDynamicDocument(org.w3c.dom.Document doc)` Tells whether the given SVG document is dynamic.
`static boolean` `isDynamicElement(org.w3c.dom.Element elt)` Tells whether the given SVG element is dynamic.
`void` `loadScripts()` Loads the scripts contained in the

Copyright © 2004 Apache Software Foundation. All Rights Reserved.